# Ringer mode

A decision block that checks the phone call ringer mode.

If the proceed option is set to Immediately, then check the current ringer mode, without pausing the fiber. If set to When changed, then the fiber will pause until the ringer mode has changed to, or not to Ringer mode.

Note! This block may not work on Android 5+ since it’s being superseded by the Do Not Disturb feature, i.e. the Interruptions block. To check vibrate setting, use the System setting get block with Name Vibrate when ringing instead.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Ringer mode — ringer mode to check for, default is Normal.

## Output variables

- Current ringer mode — variable to assign the current ringer mode.